Bug 109289 - [CI][SHARDS] igt@* - skip - not a specific platform
Summary: [CI][SHARDS] igt@* - skip - not a specific platform
Status: CLOSED NOTABUG
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-10 14:40 UTC by Martin Peres
Modified: 2019-08-22 08:30 UTC (History)
1 user (show)

See Also:
i915 platform: CFL, ICL
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-01-10 14:40:41 UTC
Many IGT tests are failing because ICL is not another platform.
Comment 1 CI Bug Log 2019-01-10 14:48:32 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@kms_pipe_b_c_ivb@* - skip - Test requirement: !(!IS_IVYBRIDGE(devid)) Subtest enable-pipe-C-while-B-has-3-lanes: SKIP
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb2/igt@kms_pipe_b_c_ivb@enable-pipe-c-while-b-has-3-lanes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb2/igt@kms_pipe_b_c_ivb@disable-pipe-b-enable-pipe-c.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb5/igt@kms_pipe_b_c_ivb@pipe-b-dpms-off-modeset-pipe-c.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb5/igt@kms_pipe_b_c_ivb@pipe-b-double-modeset-then-modeset-pipe-c.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb6/igt@kms_pipe_b_c_ivb@from-pipe-c-to-b-with-3-lanes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3578/shard-iclb5/igt@kms_pipe_b_c_ivb@enable-pipe-c-while-b-has-3-lanes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3578/shard-iclb6/igt@kms_pipe_b_c_ivb@pipe-b-dpms-off-modeset-pipe-c.html
* ICL: igt@gen3_* - skip - Test requirement: IS_GEN3(intel_get_drm_devid(fd)), SKIP
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb2/igt@gen3_render_tiledx_blits.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb5/igt@gen3_render_mixed_blits.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb6/igt@gen3_mixed_blits.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb6/igt@gen3_render_tiledy_blits.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb6/igt@gen3_render_linear_blits.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3578/shard-iclb2/igt@gen3_mixed_blits.html
* ICL: igt@kms_rotation_crc@bad-pixel-format - skip - Test requirement: gen >= 9 && gen < 11, SKIP
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb5/igt@kms_rotation_crc@bad-pixel-format.html
* ICL: igt@perf@* - skip - Test requirement: IS_HASWELL(devid), SKIP
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb6/igt@perf@unprivileged-single-ctx-counters.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb6/igt@perf@per-context-mode-unprivileged.html
Comment 2 CI Bug Log 2019-01-10 15:38:03 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@gem_exec_parse@* - skip - Test requirement: intel_gen(intel_get_drm_devid(fd)) == 7, SKIP
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@gem_exec_parse@basic-allowed.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@gem_exec_parse@basic-rejected.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@gem_exec_parse@basic-allowed.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@gem_exec_parse@basic-rejected.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb2/igt@gem_exec_parse@bitmasks.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb2/igt@gem_exec_parse@basic-allocation.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb2/igt@gem_exec_parse@load-register-reg.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb2/igt@gem_exec_parse@basic-rejected.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb2/igt@gem_exec_parse@test-lri-oacontrol.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb5/igt@gem_exec_parse@basic-allowed.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb5/igt@gem_exec_parse@test-lri-oastatus2.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb5/igt@gem_exec_parse@batch-without-end.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb5/igt@gem_exec_parse@cmd-crossing-page.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb6/igt@gem_exec_parse@oacontrol-tracking.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb6/igt@gem_exec_parse@test-lri-so_write_offset_0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3578/shard-iclb5/igt@gem_exec_parse@bitmasks.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3578/shard-iclb6/igt@gem_exec_parse@basic-allowed.html
Comment 3 CI Bug Log 2019-01-11 11:50:24 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@pm_rc6_residency@media-rc6-accuracy - skip - Test requirement: IS_VALLEYVIEW(devid) || IS_CHERRYVIEW(devid), SKIP
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5388/shard-iclb6/igt@pm_rc6_residency@media-rc6-accuracy.html
Comment 5 CI Bug Log 2019-04-26 08:58:50 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@perf@* - skip - Test requirement: IS_HASWELL(devid), SKIP -}
{+ CML ICL: igt@perf@* - skip - Test requirement: IS_HASWELL(devid), SKIP +}


  No new failures caught with the new filter
Comment 6 CI Bug Log 2019-04-26 08:59:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@pm_rc6_residency@media-rc6-accuracy - skip - Test requirement: IS_VALLEYVIEW(devid) || IS_CHERRYVIEW(devid), SKIP -}
{+ CML ICL: igt@pm_rc6_residency@media-rc6-accuracy - skip - Test requirement: IS_VALLEYVIEW(devid) || IS_CHERRYVIEW(devid), SKIP +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@i915_pm_rc6_residency@media-rc6-accuracy.html
Comment 7 CI Bug Log 2019-04-26 08:59:24 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@gen3_* - skip - Test requirement: IS_GEN3(intel_get_drm_devid(fd)), SKIP -}
{+ CML ICL: igt@gen3_* - skip - Test requirement: IS_GEN3(intel_get_drm_devid(fd)), SKIP +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@gen3_render_mixed_blits.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@gen3_render_tiledy_blits.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@gen3_render_tiledx_blits.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@gen3_render_linear_blits.html
Comment 8 CI Bug Log 2019-04-26 08:59:36 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_pipe_b_c_ivb@* - skip - Test requirement: !(!IS_IVYBRIDGE(devid)) Subtest enable-pipe-C-while-B-has-3-lanes: SKIP -}
{+ CML ICL: igt@kms_pipe_b_c_ivb@* - skip - Test requirement: !(!IS_IVYBRIDGE(devid)) Subtest enable-pipe-C-while-B-has-3-lanes: SKIP +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_pipe_b_c_ivb@pipe-b-double-modeset-then-modeset-pipe-c.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_pipe_b_c_ivb@enable-pipe-c-while-b-has-3-lanes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_pipe_b_c_ivb@disable-pipe-b-enable-pipe-c.html
Comment 9 CI Bug Log 2019-04-26 09:00:03 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@gem_exec_parse@* - skip - Test requirement: intel_gen(intel_get_drm_devid(fd)) == 7, SKIP -}
{+ CML ICL: igt@gem_exec_parse@* - skip - Test requirement: intel_gen(intel_get_drm_devid(fd)) == 7, SKIP +}


  No new failures caught with the new filter
Comment 11 CI Bug Log 2019-07-15 08:34:17 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* CML: igt@kms_rotation_crc@primary-x-tiled-reflect-(x|y|yf)-(0|90|180|270) - skip - Test requirement: gen >= 10 || (IS_CHERRYVIEW(data.devid) && reflect_x->rot == IGT_ROTATION_0 && reflect_x->tiling == LOCAL_I915_FORMAT_MOD_X_TILED)
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6470/re-cml-u/igt@kms_rotation_crc@primary-x-tiled-reflect-x-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6470/re-cml-u/igt@kms_rotation_crc@primary-x-tiled-reflect-x-180.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6470/re-cml-u/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6470/re-cml-u/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-180.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6470/re-cml-u/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6470/re-cml-u/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-90.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6470/re-cml-u/igt@kms_rotation_crc@primary-y-tiled-reflect-x-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6470/re-cml-u/igt@kms_rotation_crc@primary-y-tiled-reflect-x-180.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6470/re-cml-u/igt@kms_rotation_crc@primary-y-tiled-reflect-x-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6470/re-cml-u/igt@kms_rotation_crc@primary-y-tiled-reflect-x-90.html
Comment 12 CI Bug Log 2019-08-22 08:27:30 UTC
A CI Bug Log filter associated to this bug has been updated:

{- CML ICL: igt@gem_exec_parse@* - skip - Test requirement: intel_gen(intel_get_drm_devid(fd)) == 7, SKIP -}
{+ CML ICL TGL: igt@gem_exec_parse@* - skip - Test requirement: intel_gen(intel_get_drm_devid(fd)) == 7, SKIP +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5138/re-tgl-u/igt@gem_exec_parse@basic-allowed.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5138/re-tgl-u/igt@gem_exec_parse@basic-rejected.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5138/re-tgl-u/igt@gem_exec_parse@basic-allowed.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5138/re-tgl-u/igt@gem_exec_parse@basic-rejected.html
Comment 13 CI Bug Log 2019-08-22 08:28:11 UTC
A CI Bug Log filter associated to this bug has been updated:

{- CML ICL: igt@kms_pipe_b_c_ivb@* - skip - Test requirement: !(!IS_IVYBRIDGE(devid)) Subtest enable-pipe-C-while-B-has-3-lanes: SKIP -}
{+ CML ICL TGL: igt@kms_pipe_b_c_ivb@* - skip - Test requirement: !(!IS_IVYBRIDGE(devid)), SKIP +}


  No new failures caught with the new filter
Comment 14 CI Bug Log 2019-08-22 08:28:37 UTC
A CI Bug Log filter associated to this bug has been updated:

{- CML ICL: igt@gen3_* - skip - Test requirement: IS_GEN3(intel_get_drm_devid(fd)), SKIP -}
{+ CML ICL TGL: igt@gen3_* - skip - Test requirement: IS_GEN3(intel_get_drm_devid(fd)), SKIP +}


  No new failures caught with the new filter
Comment 15 CI Bug Log 2019-08-22 08:29:23 UTC
A CI Bug Log filter associated to this bug has been updated:

{- CML ICL: igt@pm_rc6_residency@media-rc6-accuracy - skip - Test requirement: IS_VALLEYVIEW(devid) || IS_CHERRYVIEW(devid), SKIP -}
{+ CML ICL TGL: igt@pm_rc6_residency@media-rc6-accuracy - skip - Test requirement: IS_VALLEYVIEW(devid) || IS_CHERRYVIEW(devid), SKIP +}


  No new failures caught with the new filter
Comment 16 CI Bug Log 2019-08-22 08:29:41 UTC
A CI Bug Log filter associated to this bug has been updated:

{- CML ICL: igt@perf@* - skip - Test requirement: IS_HASWELL(devid), SKIP -}
{+ CML ICL TGL: igt@perf@* - skip - Test requirement: IS_HASWELL(devid), SKIP +}


  No new failures caught with the new filter
Comment 17 CI Bug Log 2019-08-22 08:30:27 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_rotation_crc@bad-pixel-format - skip - Test requirement: gen >= 9 && gen < 11, SKIP -}
{+ ICL TGL: igt@kms_rotation_crc@bad-pixel-format - skip - Test requirement: gen >= 9 && gen < 11, SKIP +}


  No new failures caught with the new filter


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.